#ifndef dfplayer_h
#define dfplayer_h

#define DFB_USE_TIMEOUT
#define DFP_Start_Byte 		0x7E
#define DFP_Version_Byte 	0xFF
#define DFP_Command_Length 	0x06
#define DFP_End_Byte 		0xEF
#define DFP_Acknowledge 	0x01 //Returns info with command 0x41 [0x01: info, 0x00: no info]
#define DFP_ACTIVATED 		LOW
#define DFP_RX_LEN			10
#define DFP_TX_LEN			10

#define DFP_CMD_NEXT		0x01
#define DFP_CMD_PREV		0x02
#define DFP_CMD_TRACK		0x03
#define DFP_CMD_INC_VOL		0x04
#define DFP_CMD_DEC_VOL		0x05
#define DFP_CMD_VOL			0x06
#define DFP_CMD_EQ			0x07
#define DFP_CMD_PBM			0x08
#define DFP_CMD_PBS			0x09
#define DFP_CMD_SBY			0x0a
#define DFP_CMD_NOW			0x0b
#define DFP_CMD_RES			0x0c
#define DFP_CMD_PLAY		0x0d
#define DFP_CMD_PAUSE		0x0e
#define DFP_CMD_FOLDER		0x0f
#define DFP_CMD_VOL_ADJ		0x10
#define DFP_CMD_LOOP		0x11
#define DFP_CMD_MP3_FOLDER	0x12
#define DFP_CMD_ADVERTISE	0x13

#define DFP_RES_STAY1		0x3c
#define DFP_RES_STAY2		0x3d
#define DFP_RES_STAY3		0x3e
#define DFP_RES_INITPAR		0x3f
#define DFP_RES_ERROR		0x40
#define DFP_RES_REPLY		0x41
#define DFP_RES_STAT		0x42
#define DFP_RES_VOL			0x43
#define DFP_RES_EQ			0x44
#define DFP_RES_PBM			0x45
#define DFP_RES_VERSION		0x46
#define DFP_RES_FILES		0x47
#define DFP_RES_U_FILES		0x48
#define DFP_RES_F_FILES		0x49
#define DFP_RES_KEEP_ON		0x4a
#define DFP_RES_CURRENT		0x4b
#define DFP_RES_U_CURRENT	0x4c
#define DFP_RES_F_CURRENT	0x4d

#define DFP_RESEND_NUM		3
#define DFP_TIMEOUT_MS		300

void dfp_init(void);
void dfp_loop(void);
void dfp_pause(void);
void dfp_play(void);
void dfp_play(uint16_t s);
void dfp_playNext(void);
void dfp_playPrevious(void);
void dfp_setVolume(int volume);
void dfp_execute_CMD(uint8_t CMD, uint8_t Par1, uint8_t Par2);


#endif
