#ifndef hw_h
#define hw_h

#include <Arduino.h>
#include "cfg.h"
#include "MillisTimer.h"

extern MillisTimer Motion_timer;
extern MillisTimer Ring_timer;

extern bool hw_motion;
extern bool hw_ring;


extern bool work_dark;
extern bool work_do_flash_photo;
extern bool work_do_flash_video;
extern bool work_snd_busy;
extern bool work_do_open;
extern bool work_do_open_after_snd;

extern long seconds;
extern long light_timer;

//-------------------------------------------------------
// Global Functions
void hw_set_flash(bool v);
void hw_do_vflash(bool v);
void hw_do_flash(bool v);
void hw_open_door(void);
void hw_do_light(bool v);
void hw_do_led(bool v);
void hw_loop(void);
void hw_init(void);
void hw_play_snd(int s);
void hw_snd_vol(uint8_t s);
void hw_led_flush(void);
void hw_led_times(uint8_t t);
void hw_cfg_load(void);
void hw_tgl_led(void);


#endif
