#ifndef session_h
#define session_h

#include <Arduino.h>
#include "cfg.h"

#define SESSION_MAX         20
#define SESSION_LEN_MAX     24

typedef struct SESSION_ENTRY
{
	uint32_t time;
	char sid[SESSION_LEN_MAX];
} SessionEntry;

extern SessionEntry Sessions[SESSION_MAX];


//-------------------------------------------------------
// Global Functions
void session_init(void);
int8_t session_search(char *sid);
void session_print(void);
uint8_t session_gen(void);
void session_del(void);
void session_clear_n(uint8_t n);
bool session_write(void);


#endif
